*:*****************************************************************************
*:
*: Procedure file: E:\PRBFUNC\5.2\PRB_D2C.PRG
*:
*:         System: Major Function Library
*:         Author: Phil Barnett
*:      Copyright (c) 1987-1994, Phil Barnett
*:  Last modified: 07/19/94     21:09
*:
*:  Procs & Fncts: HHMM()
*:               : D2C()
*:               : C2D()
*:
*:         Set by: SNAP.PRG                          
*:
*:      Documented 07/19/94 at 21:13                SNAP!  version 5.02
*:*****************************************************************************
#include "common.ch"
#include "set.ch"

*!*****************************************************************************
*!
*!       Function: HHMM()
*!
*!*****************************************************************************
function HHMM( TIME_TXT )

Default TIME_TXT to time()

return strtran( left( TIME_TXT, 5 ), ':' )

*!*****************************************************************************
*!
*!       Function: D2C()
*!
*!*****************************************************************************
function D2C( DDATE, CMASK )

CMASK := upper( CMASK )

if at( 'YYYY', CMASK ) > 0
  CMASK := strtran( CMASK, 'YYYY', str( year( DDATE ), 4 ) )
else
  CMASK := strtran( CMASK, 'YY', right( str( year( DDATE ), 4 ), 2 ) )
endif

CMASK := strtran( CMASK, 'MM', strzero( month( DDATE ), 2 ) )
CMASK := strtran( CMASK, 'DD', strzero( day( DDATE ), 2 ) )

return CMASK

*!*****************************************************************************
*!
*!       Function: C2D()
*!
*!*****************************************************************************
function C2D( CDATE, CMASK )

local DAT,MAT,YAT,YLEN,LONGYEAR

CMASK := upper(CMASK)

LONGYEAR := at('YYYY',CMASK) > 0

DAT := at('DD',CMASK)
MAT := at('MM',CMASK)
if LONGYEAR
  YAT := at('YYYY',CMASK)
  YLEN := 4
else
  YAT := at('YY',CMASK)
  YLEN := 2
endif

return ctod(substr(CDATE,MAT,2)+'/'+substr(CDATE,DAT,2)+'/'+substr(CDATE,YAT,YLEN))

*: EOF: PRB_D2C.PRG
