*:*****************************************************************************
*:
*: Procedure file: E:\PRBFUNC\5.2\PRB_S2A.PRG
*:
*:         System: Major Function Library
*:         Author: Phil Barnett
*:      Copyright (c) 1987-1994, Phil Barnett
*:  Last modified: 07/19/94     21:09
*:
*:  Procs & Fncts: STR2ARRAY()
*:
*:         Set by: SNAP.PRG                          
*:
*:      Documented 07/19/94 at 21:13                SNAP!  version 5.02
*:*****************************************************************************
*!*****************************************************************************
*!
*!       Function: STR2ARRAY()
*!
*!      Called by: FLAT_OUT()         (function  in PRB_FLAT.PRG)
*!               : FLAT_IN()          (function  in PRB_FLAT.PRG)
*!
*!*****************************************************************************
function STR2ARRAY( delimiter, STRING )

local x, DELIMAT, DELIMLEN
local array := {}

DELIMLEN := len( delimiter )

do while .t.
  DELIMAT := at( delimiter, STRING )
  if DELIMAT > 0
    if DELIMAT == 1
      aadd( array, '' )
    else
      aadd( array, left( STRING, DELIMAT - 1 ) )
    endif
    STRING := substr( STRING, DELIMAT + DELIMLEN )
  else
    aadd( array, STRING )
    exit
  endif
enddo

return array

*: EOF: PRB_S2A.PRG
